## gst-plugins-bad0.10 0.10.20.3

=== debian/changelog ===
gst-plugins-bad0.10 (0.10.20.3-1ubuntu1) natty; urgency=low

  * Merge with Debian; remaining changes. (LP: #705414)
    - Remove plugins that are now provided -good in
      debian/gstreamer-plugins-bad.install:
      - libgstautoconvert.so
      - libgstdtmf.so
      - libgstliveadder.so
      - libgstrtpmux.so
    - Revert enabling of libgstlv2 -- drop lv2core, libslv2-dev from
      debian/build-deps.in and remove libgstlv2 from
      debian/gstreamer-plugins-bad.install.  This plugin segfaults on amd64
      and is too unstable for now. the bug requesting this was LP #511334 and
      the instability statement is at LP #513347.

 -- Laurent Bigonville <bigon@ubuntu.com>  Sun, 23 Jan 2011 03:57:43 +0100

gst-plugins-bad0.10 (0.10.20.3-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control.in,
      debian/build-deps.in:
      - Require GStreamer, gst-plugins-base >= 0.10.31.3

 -- Sebastian Dröge <slomo@debian.org>  Thu, 13 Jan 2011 13:59:14 +0100

gst-plugins-bad0.10 (0.10.20.2-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/build-deps.in,
    debian/rules:
    + Use dpkg-vendor instead of lsb_release.

  [ Sebastian Dröge ]
  * New upstream pre-release:
    + debian/control.in,
      debian/build-deps.in:
      - Require GStreamer, gst-plugins-base >= 0.10.31.2
      - Require ORC >= 0.4.7.
    + debian/rules,
      debian/gstreamer-plugins-bad.install:
      - Drop the alsaspdif plugin, the functionality is in the alsa plugin now.
      - Drop the selector and valve plugins, they're in GStreamer core now.
      - Drop the jack plugin, it's in gst-plugins-good now.
      - Add the new camerabin2, colorspace, dvbsuboverlay, interlace,
        jp2kdecimator and y4mdec plugins.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 10 Jan 2011 15:17:04 +0100

gst-plugins-bad0.10 (0.10.20-2) experimental; urgency=low

  * debian/build-deps.in:
    + Add the epoch to the orc build dependency to get dependencies on
      the correct version.

 -- Sebastian Dröge <slomo@debian.org>  Fri, 17 Sep 2010 13:26:42 +0200

gst-plugins-bad0.10 (0.10.20-1ubuntu3) natty; urgency=low

  * No change rebuild for new gst-plugins-based dependency.

 -- Martin-Éric Racine <q-funk@ubuntu.com>  Thu, 20 Jan 2011 12:11:46 +0200

gst-plugins-bad0.10 (0.10.20-1ubuntu2) natty; urgency=low

  * No change rebuild for libwildmidi0 > libwildmidi1 transition

 -- Bhavani Shankar <bhavi@ubuntu.com>  Mon, 20 Dec 2010 11:51:22 +0530
