=== debian/control ===
Source: gst-plugins-bad0.10
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@ubuntu.com>
XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
Uploaders: Sebastian Dröge <slomo@debian.org>,
           Sjoerd Simons <sjoerd@debian.org>
Build-Depends: autotools-dev,
               cdbs (>= 0.4.32),
               debhelper (>= 7),
               dpkg-dev (>= 1.15.1),
               flite-dev,
               libasound2-dev (>= 0.9.1) [alpha amd64 arm armeb armel avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64],
               libcdaudio-dev [alpha amd64 arm armeb armel avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64],
               libdc1394-22-dev (>= 2.0.0) [alpha amd64 arm armeb armel avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64],
               libgstreamer0.10-dev (>= 0.10.31.3),
               gstreamer0.10-doc,
               gstreamer0.10-plugins-base (>= 0.10.31.3),
               gstreamer0.10-plugins-base-doc,
               gstreamer-tools (>= 0.10.30),
               gtk-doc-tools,
               ladspa-sdk,
               libass-dev (>= 0.9.4),
               libbz2-dev,
               libcairo2-dev,
               libcelt-dev (>= 0.5.0),
               libdca-dev,
               libdirac-dev (>= 0.10),
               libdirectfb-dev (>= 0.9.25),
               libdvdnav-dev (>= 4.1.2) [!hurd-any],
               libexempi-dev,
               libexif-dev (>= 0.6.16),
               libfaad-dev,
               libglib2.0-dev (>= 2.25),
               libgme-dev,
               libgsm1-dev,
               libgstreamer-plugins-base0.10-dev (>= 0.10.31.3),
               libgtk2.0-dev (>= 2.14.0),
               libiptcdata0-dev (>= 1.0.2),
               libjasper-dev,
               libkate-dev (>= 0.1.7),
               libmimic-dev (>= 1.0),
               libmms-dev (>= 0.4),
               libmodplug-dev,
               libmpcdec-dev,
               libmusicbrainz4-dev (>= 2.1.0),
               libofa0-dev (>= 0.9.3),
               libopenspc-dev [i386],
               liborc-0.4-dev (>= 1:0.4.7),
               libpng12-dev,
               librsvg2-dev (>= 2.14.0),
               librtmp-dev,
               libschroedinger-dev (>= 1.0.7),
               libsdl1.2-dev,
               libsndfile1-dev (>= 1.0.16),
               libsoundtouch1-dev,
               libssl-dev,
               libvpx-dev,
               libwildmidi-dev (>= 0.2.3),
               libx11-dev,
               libzbar-dev (>= 0.9),
               pkg-config (>= 0.11.0),
               type-handling (>= 0.2.14)
Standards-Version: 3.8.4

Package: gstreamer0.10-plugins-bad-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         gstreamer0.10-doc,
         gstreamer0.10-plugins-base-doc
Replaces: gstreamer0.10-plugins-bad (<< 0.10.5-3)
Description: GStreamer documentation for plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.
 .
 This package contains the documentation for plugins from the "bad" set.
 
Package: gstreamer0.10-plugins-bad
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends},
         gstreamer0.10-plugins-base	 
Replaces: gstreamer0.10-plugins-bad-multiverse (<< 0.10.5-2),
          gstreamer0.10-plugins-really-bad (<< 0.10.14),
          gstreamer0.10-plugins-farsight,
          gstreamer0.10-fluendo-mpegdemux,
          gstreamer0.10-fluendo-mpegmux,
          gstreamer0.10-schroedinger
Provides: gstreamer0.10-plugins-farsight,
          gstreamer0.10-fluendo-mpegdemux,
          gstreamer0.10-fluendo-mpegmux,
          gstreamer0.10-schroedinger,
          ${gstreamer:Provides}
Conflicts: gstreamer0.10-plugins-ugly (<< 0.10.13.2),
           gstreamer0.10-plugins-good (<< 0.10.15.2),
           gstreamer0.10-plugins-farsight,
           gstreamer0.10-fluendo-mpegdemux,
           gstreamer0.10-fluendo-mpegmux,
           gstreamer0.10-schroedinger
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Description: GStreamer plugins from the "bad" set
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 GStreamer Bad Plug-ins is a set of plug-ins that aren't up to par compared
 to the rest. They might be close to being good quality, but they're missing
 something - be it a good code review, some documentation, a set of tests, a
 real live maintainer, or some actual wide use.

Package: gstreamer0.10-sdl
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Replaces: gstreamer0.10-plugins-bad (<< 0.10.5-3)
XB-GStreamer-Version: ${gstreamer:Version}
XB-GStreamer-Elements: ${gstreamer:Elements}
XB-GStreamer-URI-Sources: ${gstreamer:URISources}
XB-GStreamer-URI-Sinks: ${gstreamer:URISinks}
XB-GStreamer-Encoders: ${gstreamer:Encoders}
XB-GStreamer-Decoders: ${gstreamer:Decoders}
Provides: ${gstreamer:Provides}
Description: GStreamer plugin for SDL output
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains the GStreamer plugin for SDL, the Simple
 DirectMedia Layer.

Package: gstreamer0.10-plugins-bad-dbg
Architecture: any
Section: debug
Priority: extra
Depends: gstreamer0.10-plugins-bad (= ${binary:Version}),
         gstreamer0.10-sdl (= ${binary:Version}),
         ${misc:Depends}
Description: GStreamer plugins from the "bad" set (debug symbols)
 GStreamer is a streaming media framework, based on graphs of filters
 which operate on media data.  Applications using this library can do
 anything from real-time sound processing to playing videos, and just
 about anything else media-related.  Its plugin-based architecture means
 that new data types or processing capabilities can be added simply by
 installing new plug-ins.
 .
 This package contains unstripped shared libraries. It is provided primarily
 to provide a backtrace with names in a debugger, this makes it somewhat
 easier to interpret core dumps. The libraries are installed in
 /usr/lib/debug and are automatically used by gdb.
