## gst-plugins-bad0.10 0.10.21

=== debian/changelog ===
gst-plugins-bad0.10 (0.10.21-1ubuntu8) natty; urgency=low

  * debian/patches/0001-fpsdisplaysink-add-properties-to-get-dropped-and-ren.patch
    - change frames_rendered and frames_dropped from guint64 to gint
 	and make them atomic
 
  * debian/patches/fpsdisplaysink_sync_default_value.patch
    - fix sync property default value

 -- Kunal Goel <kunal.goel@linaro.org>  Thu, 24 Mar 2011 20:04:08 +0530

gst-plugins-bad0.10 (0.10.21-1ubuntu7) natty; urgency=low

  * debian/control.in
    - Use a Breaks and Replace instead of Conflicts and Replace (LP: #739551)
    - Added a Breaks and Replace for the -dbg package as well

 -- Ken VanDine <ken.vandine@canonical.com>  Tue, 22 Mar 2011 08:57:49 -0400

gst-plugins-bad0.10 (0.10.21-1ubuntu6) natty; urgency=low

  * debian/control.in
    - Dropped Breaks and made sure to Conflict and Replace -good (LP: #739551)

 -- Ken VanDine <ken.vandine@canonical.com>  Mon, 21 Mar 2011 14:11:24 -0400

gst-plugins-bad0.10 (0.10.21-1ubuntu5) natty; urgency=low

  * debian/gstreamer-plugins-bad.install
    - Don't include the shm plugin, we've moved that to -good (LP: #739351)
  * debian/control.in
    - Change the conflicts to a breaks for 
      gstreamer0.10-plugins-good << 0.10.28-0ubuntu2

 -- Ken VanDine <ken.vandine@canonical.com>  Thu, 17 Mar 2011 16:16:17 -0400

gst-plugins-bad0.10 (0.10.21-1ubuntu4) natty; urgency=low

  * Removed Conflicts/Replaces/Provides for gstreamer0.10-fluendo-mpegdemux as
    thee packages can now co-exist, and the Conflict prevented certain codec
    packs provided directly by Fluendo from being installed. (LP: #731711)

 -- Brian Thomason <brian.thomason@canonical.com>  Mon, 14 Mar 2011 12:54:57 -0400

gst-plugins-bad0.10 (0.10.21-1ubuntu3) natty; urgency=low

  * debian/patches/01_soundtouch-pc.patch:
    + And the pkg-config file is called soundtouch.pc nowadays.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Mar 2011 10:39:03 +0100

gst-plugins-bad0.10 (0.10.21-1ubuntu2) natty; urgency=low

  * debian/build-deps.in:
    + It's libsoundtouch-dev, not libsoundtouch0-dev.

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Mar 2011 09:31:56 +0100

gst-plugins-bad0.10 (0.10.21-1ubuntu1) natty; urgency=low

  * Merge with Debian; remaining changes.
    - Remove plugins that are now provided -good in
      debian/gstreamer-plugins-bad.install:
      - libgstautoconvert.so
      - libgstdtmf.so
      - libgstliveadder.so
      - libgstrtpmux.so
    - Revert enabling of libgstlv2 -- drop lv2core, libslv2-dev from
      debian/build-deps.in and remove libgstlv2 from
      debian/gstreamer-plugins-bad.install.  This plugin segfaults on amd64
      and is too unstable for now. the bug requesting this was LP #511334 and
      the instability statement is at LP #513347. 

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Mar 2011 09:16:53 +0100

gst-plugins-bad0.10 (0.10.21-1) experimental; urgency=low

  * New upstream stable release, "Pink Noise":
    + debian/control.in,
      debian/build-deps.in:
      - Require GStreamer, gst-plugins-base >= 0.10.32.

 -- Sebastian Dröge <slomo@debian.org>  Sat, 22 Jan 2011 14:12:31 +0100

gst-plugins-bad0.10 (0.10.20.4-1) experimental; urgency=low

  * New upstream pre-release:
    + debian/control.in,
      debian/build-deps.in:
      - Require GStreamer, gst-plugins-base >= 0.10.31.4.

 -- Sebastian Dröge <slomo@debian.org>  Wed, 19 Jan 2011 21:20:29 +0100

gst-plugins-bad0.10 (0.10.20.3-1ubuntu2) natty; urgency=low

  * Rebuild against the newest soundtouch.

 -- Benjamin Drung <bdrung@ubuntu.com>  Sun, 30 Jan 2011 23:45:23 +0100
