=== debian/control ===
--- 
+++ 
@@ -10,12 +10,12 @@
                debhelper (>= 7),
                dpkg-dev (>= 1.15.1),
                flite-dev,
-               libasound2-dev (>= 0.9.1) [alpha amd64 arm armeb armel avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64],
-               libcdaudio-dev [alpha amd64 arm armeb armel avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64],
-               libdc1394-22-dev (>= 2.0.0) [alpha amd64 arm armeb armel avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64],
-               libgstreamer0.10-dev (>= 0.10.31.3),
+               libasound2-dev (>= 0.9.1) [alpha amd64 arm armeb armel armhf avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64],
+               libcdaudio-dev [alpha amd64 arm armeb armel armhf avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64],
+               libdc1394-22-dev (>= 2.0.0) [alpha amd64 arm armeb armel armhf avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64],
+               libgstreamer0.10-dev (>= 0.10.32),
                gstreamer0.10-doc,
-               gstreamer0.10-plugins-base (>= 0.10.31.3),
+               gstreamer0.10-plugins-base (>= 0.10.32),
                gstreamer0.10-plugins-base-doc,
                gstreamer-tools (>= 0.10.30),
                gtk-doc-tools,
@@ -34,7 +34,7 @@
                libglib2.0-dev (>= 2.25),
                libgme-dev,
                libgsm1-dev,
-               libgstreamer-plugins-base0.10-dev (>= 0.10.31.3),
+               libgstreamer-plugins-base0.10-dev (>= 0.10.32),
                libgtk2.0-dev (>= 2.14.0),
                libiptcdata0-dev (>= 1.0.2),
                libjasper-dev,
@@ -53,7 +53,7 @@
                libschroedinger-dev (>= 1.0.7),
                libsdl1.2-dev,
                libsndfile1-dev (>= 1.0.16),
-               libsoundtouch1-dev,
+               libsoundtouch-dev,
                libssl-dev,
                libvpx-dev,
                libwildmidi-dev (>= 0.2.3),
@@ -93,20 +93,18 @@
 Replaces: gstreamer0.10-plugins-bad-multiverse (<< 0.10.5-2),
           gstreamer0.10-plugins-really-bad (<< 0.10.14),
           gstreamer0.10-plugins-farsight,
-          gstreamer0.10-fluendo-mpegdemux,
           gstreamer0.10-fluendo-mpegmux,
-          gstreamer0.10-schroedinger
+          gstreamer0.10-schroedinger,
+          gstreamer0.10-plugins-good (<< 0.10.28-0ubuntu3)
 Provides: gstreamer0.10-plugins-farsight,
-          gstreamer0.10-fluendo-mpegdemux,
           gstreamer0.10-fluendo-mpegmux,
           gstreamer0.10-schroedinger,
           ${gstreamer:Provides}
 Conflicts: gstreamer0.10-plugins-ugly (<< 0.10.13.2),
-           gstreamer0.10-plugins-good (<< 0.10.15.2),
            gstreamer0.10-plugins-farsight,
-           gstreamer0.10-fluendo-mpegdemux,
            gstreamer0.10-fluendo-mpegmux,
-           gstreamer0.10-schroedinger
+           gstreamer0.10-schroedinger,
+Breaks: gstreamer0.10-plugins-good (<< 0.10.28-0ubuntu3)
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
@@ -157,6 +155,8 @@
 Depends: gstreamer0.10-plugins-bad (= ${binary:Version}),
          gstreamer0.10-sdl (= ${binary:Version}),
          ${misc:Depends}
+Replaces: gstreamer0.10-plugins-good (<< 0.10.28-0ubuntu3)
+Breaks: gstreamer0.10-plugins-good (<< 0.10.28-0ubuntu3)
 Description: GStreamer plugins from the "bad" set (debug symbols)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
