=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 0.10.31.3)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 0.10.32)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
