## gst-plugins-bad0.10 0.10.22

=== debian/changelog ===
gst-plugins-bad0.10 (0.10.22-3) unstable; urgency=low

  * Add xvid to the bad plugin set as it's available in debian now.
  * Remove any reference to LAME or MP3 from README.Debian.

 -- Fabian Greffrath <fabian+debian@greffrath.com>  Fri, 29 Jul 2011 13:24:53 +0200

gst-plugins-bad0.10 (0.10.22-2) unstable; urgency=low

  * debian/patches/01_path-max.patch:
    + Don't use PATH_MAX, it's not defined on GNU Hurd and others.
      Thanks to Pino Toscano for the patch (Closes: #626795).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 16 May 2011 09:13:54 +0200

gst-plugins-bad0.10 (0.10.22-1) unstable; urgency=low

  * New upstream release, "Toy Piano":
    + debian/patches/99_decklink.patch,
      debian/patches/99_decklink-linking.patch:
      - Dropped, merged upstream.    
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core/base 0.10.33.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 10 May 2011 15:55:38 +0200

gst-plugins-bad0.10 (0.10.21.3-1) experimental; urgency=low

  * New upstream pre-release.
  * debian/rules,
    debian/gstreamer-plugins-bad.install:
    + Enable the decklink and linsys plugins.
  * debian/patches/99_decklink.patch,
    debian/patches/99_decklink-linking.patch:
    + Add decklink to sys/Makefile.am SUBDIRS and check
      for pthread.h and link to pthread.

 -- Sebastian Dröge <slomo@debian.org>  Thu, 28 Apr 2011 09:20:34 +0200

gst-plugins-bad0.10 (0.10.21.2-1) experimental; urgency=low

  [ Alessandro Decina ]
  * debian/rules:
    + Include dh-autoreconf cdbs rule
  * debian/build-deps.in:
    + Add dependency on dh-autoreconf

  [ Loïc Minier ]
  * Use linux-any in build-deps instead of type-handling.
  * Rework sed calls to avoid cat | sed and sed | sed.
  * s/amrwb/amrwbenc/ in a leftover case statement in debian/extra; thanks
    Mohamed Amine IL Idrissi; closes: #592757.

  [ Sebastian Dröge ]
  * New upstream pre-release:
    + debian/patches/01_soundtouch-pc.patch,
      debian/patches/02_shm_fixes.patch:
      - Dropped, merged upstream.
    + debian/build-deps.in:
      - Update ORC build dependency to >= 0.4.11.
    + debian/rules,
      debian/build-deps.in:
      - Build-depend on GStreamer core/base >= 0.10.32.2.
    + debian/build-deps.in,
      debian/rules,
      debian/gstreamer-plugins-bad.install:
      - Remove audioparsersbad and qtmux plugins, they moved to -good.
      - Add curl, fieldanalysis, fragmented, mpegtsdemux, patchdetect,
        rtpvp8, sdi, videofiltersbad and videoparsersbad plugins.

 -- Sebastian Dröge <slomo@debian.org>  Sun, 17 Apr 2011 11:10:36 +0200

gst-plugins-bad0.10 (0.10.21-4) unstable; urgency=low

  * Upload to unstable.

 -- Sebastian Dröge <slomo@debian.org>  Tue, 22 Mar 2011 15:33:52 +0100

gst-plugins-bad0.10 (0.10.21-3) experimental; urgency=low

  [ Sebastian Dröge ]
  * debian/build-deps.in:
    + Build depend on libsoundtouch-dev (>= 1.5.0).
  * debian/control.in:
    + Remove conflicts for the Fluendo MPEG demuxer/muxer packages. They're
      not in the archive anymore and if they were they wouldn't conflict
      anymore because of changes in gst-plugins-bad.

  [ Sjoerd Simons ]
  * debian/patches/02_shm_fixes.patch
    * Added, various fixes for the SHM plugin (crasher, potential race
      conditions). From upstream git

 -- Sjoerd Simons <sjoerd@debian.org>  Wed, 16 Mar 2011 21:59:38 +0000

gst-plugins-bad0.10 (0.10.21-2) experimental; urgency=low

  * debian/build-deps.in,
    debian/patches/01_soundtouch-pc.patch:
    + The soundtouch pkg-config file is nowadays called soundtouch.pc and
      the name of the -dev package changed too (Closes: #612050).

 -- Sebastian Dröge <slomo@debian.org>  Mon, 07 Mar 2011 10:40:46 +0100
