=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: gst-plugins-bad0.10
 Section: libs
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@ubuntu.com>
-XSBC-Original-Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
+Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: autotools-dev,
+Build-Depends: autopoint,
+               autotools-dev,
                cdbs (>= 0.4.32),
                debhelper (>= 7),
+               dh-autoreconf,
                dpkg-dev (>= 1.15.1),
                flite-dev,
-               libasound2-dev (>= 0.9.1) [alpha amd64 arm armeb armel armhf avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64],
-               libcdaudio-dev [alpha amd64 arm armeb armel armhf avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64],
-               libdc1394-22-dev (>= 2.0.0) [alpha amd64 arm armeb armel armhf avr32 hppa i386 ia64 lpia m32r m68k mips mipsel powerpc powerpcspe ppc64 s390 s390x sh3 sh3eb sh4 sh4eb sparc sparc64],
-               libgstreamer0.10-dev (>= 0.10.32),
+               libasound2-dev (>= 0.9.1) [linux-any],
+               libcdaudio-dev [linux-any],
+               libdc1394-22-dev (>= 2.0.0) [linux-any],
+               libgstreamer0.10-dev (>= 0.10.33),
                gstreamer0.10-doc,
-               gstreamer0.10-plugins-base (>= 0.10.32),
+               gstreamer0.10-plugins-base (>= 0.10.33),
                gstreamer0.10-plugins-base-doc,
                gstreamer-tools (>= 0.10.30),
                gtk-doc-tools,
@@ -24,6 +25,7 @@
                libbz2-dev,
                libcairo2-dev,
                libcelt-dev (>= 0.5.0),
+               libcurl4-gnutls-dev (>= 7.21.0),
                libdca-dev,
                libdirac-dev (>= 0.10),
                libdirectfb-dev (>= 0.9.25),
@@ -34,7 +36,7 @@
                libglib2.0-dev (>= 2.25),
                libgme-dev,
                libgsm1-dev,
-               libgstreamer-plugins-base0.10-dev (>= 0.10.32),
+               libgstreamer-plugins-base0.10-dev (>= 0.10.33),
                libgtk2.0-dev (>= 2.14.0),
                libiptcdata0-dev (>= 1.0.2),
                libjasper-dev,
@@ -46,22 +48,27 @@
                libmusicbrainz4-dev (>= 2.1.0),
                libofa0-dev (>= 0.9.3),
                libopenspc-dev [i386],
-               liborc-0.4-dev (>= 1:0.4.7),
+               liborc-0.4-dev (>= 1:0.4.11),
                libpng12-dev,
                librsvg2-dev (>= 2.14.0),
                librtmp-dev,
                libschroedinger-dev (>= 1.0.7),
                libsdl1.2-dev,
+               libslv2-dev (>= 0.6.6),
                libsndfile1-dev (>= 1.0.16),
-               libsoundtouch-dev,
+               libsoundtouch-dev (>= 1.5.0),
                libssl-dev,
                libvpx-dev,
                libwildmidi-dev (>= 0.2.3),
                libx11-dev,
+               libxvidcore-dev,
                libzbar-dev (>= 0.9),
-               pkg-config (>= 0.11.0),
-               type-handling (>= 0.2.14)
+               lv2core,
+               pkg-config (>= 0.11.0)
 Standards-Version: 3.8.4
+Vcs-Git: git://anonscm.debian.org/pkg-gstreamer/gst-plugins-bad0.10.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-gstreamer/gst-plugins-bad0.10.git
+Homepage: http://gstreamer.freedesktop.org/modules/gst-plugins-bad.html
 
 Package: gstreamer0.10-plugins-bad-doc
 Architecture: all
@@ -93,18 +100,16 @@
 Replaces: gstreamer0.10-plugins-bad-multiverse (<< 0.10.5-2),
           gstreamer0.10-plugins-really-bad (<< 0.10.14),
           gstreamer0.10-plugins-farsight,
-          gstreamer0.10-fluendo-mpegmux,
           gstreamer0.10-schroedinger,
-          gstreamer0.10-plugins-good (<< 0.10.28-0ubuntu3)
+          gstreamer0.10-xvid
 Provides: gstreamer0.10-plugins-farsight,
-          gstreamer0.10-fluendo-mpegmux,
           gstreamer0.10-schroedinger,
           ${gstreamer:Provides}
 Conflicts: gstreamer0.10-plugins-ugly (<< 0.10.13.2),
+           gstreamer0.10-plugins-good (<< 0.10.15.2),
            gstreamer0.10-plugins-farsight,
-           gstreamer0.10-fluendo-mpegmux,
            gstreamer0.10-schroedinger,
-Breaks: gstreamer0.10-plugins-good (<< 0.10.28-0ubuntu3)
+           gstreamer0.10-xvid
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
@@ -155,8 +160,6 @@
 Depends: gstreamer0.10-plugins-bad (= ${binary:Version}),
          gstreamer0.10-sdl (= ${binary:Version}),
          ${misc:Depends}
-Replaces: gstreamer0.10-plugins-good (<< 0.10.28-0ubuntu3)
-Breaks: gstreamer0.10-plugins-good (<< 0.10.28-0ubuntu3)
 Description: GStreamer plugins from the "bad" set (debug symbols)
  GStreamer is a streaming media framework, based on graphs of filters
  which operate on media data.  Applications using this library can do
@@ -169,4 +172,3 @@
  to provide a backtrace with names in a debugger, this makes it somewhat
  easier to interpret core dumps. The libraries are installed in
  /usr/lib/debug and are automatically used by gdb.
-
