=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,12 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/gnome.mk
 include /usr/share/cdbs/1/rules/utils.mk
+-include /usr/share/cdbs/1/rules/autoreconf.mk
+
+# make autoreconf not call libtoolize since we ship a patch for ltmain.sh
+export LIBTOOLIZE=true
+# make autoreconf not call autopoint since we ship a patch for po/Makefile.in.in
+export AUTOPOINT=true
 
 CFLAGS += -Wno-error
 CXXFLAGS += -Wno-error
@@ -40,15 +46,15 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 0.10.32)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 0.10.33)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
 
 gst_extra_build_depends =
-gst_extra_build_depends += libasound2-dev (>= 0.9.1) [@linux@]
-gst_extra_build_depends += , libcdaudio-dev [@linux@]
-gst_extra_build_depends += , libdc1394-22-dev (>= 2.0.0) [@linux@]
+gst_extra_build_depends += libasound2-dev (>= 0.9.1) [linux-any]
+gst_extra_build_depends += , libcdaudio-dev [linux-any]
+gst_extra_build_depends += , libdc1394-22-dev (>= 2.0.0) [linux-any]
 
 # The plugins are basically the same.
 # Link special names to a template file.
@@ -81,6 +87,8 @@
 vcd = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstvcdsrc.so
 cdaudio = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstcdaudio.so
 dc1394 = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstdc1394.so
+decklink = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstdecklink.so
+linsys = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstlinsys.so
 endif
 
 ifneq ($(DEB_HOST_ARCH_OS),hurd)
@@ -108,22 +116,24 @@
 pre-build::
 	for p in $(PLUGINS); do \
 		rm -f debian/$(gst_pkgname)-$$p.install; \
-		cat debian/gstreamer-$$p.install | \
-			sed 's,@real@,$(real),g' | \
-			sed 's,@dvb@,$(dvb),g' | \
-			sed 's,@fbdev@,$(fbdev),g' | \
-			sed 's,@vcd@,$(vcd),g' | \
-			sed 's,@spc@,$(spc),g' | \
-			sed 's,@dc1394@,$(dc1394),g' | \
-			sed 's,@cdaudio@,$(cdaudio),g' | \
-			sed 's,@resindvd@,$(resindvd),g' | \
-			sed 's/@GST_ABI@/$(gst_abi)/g' \
+		sed \
+			-e 's,@real@,$(real),g' \
+			-e 's,@dvb@,$(dvb),g' \
+			-e 's,@decklink@,$(decklink),g' \
+			-e 's,@linsys@,$(linsys),g' \
+			-e 's,@fbdev@,$(fbdev),g' \
+			-e 's,@vcd@,$(vcd),g' \
+			-e 's,@spc@,$(spc),g' \
+			-e 's,@dc1394@,$(dc1394),g' \
+			-e 's,@cdaudio@,$(cdaudio),g' \
+			-e 's,@resindvd@,$(resindvd),g' \
+			-e 's/@GST_ABI@/$(gst_abi)/g' \
+			debian/gstreamer-$$p.install \
 			> debian/$(gst_pkgname)-$$p.install; \
 	done
 
 	for f in $(VERSIONIZE); do \
-		cat debian/gstreamer-$$f | \
-			sed 's/@GST_ABI@/$(gst_abi)/g' \
+		sed 's/@GST_ABI@/$(gst_abi)/g' debian/gstreamer-$$f \
 			> debian/$(gst_pkgname)-$$f; \
 	done
 
@@ -131,38 +141,37 @@
 
 debian/build-deps: debian/build-deps.in debian/rules
 	cat $< > $@
-	for plugin in $(EXTRA_PLUGINS) ; do \
+	for plugin in $(EXTRA_PLUGINS); do \
 		sh debian/extra deps $$plugin >> $@; \
 	done
 	sort $@ -o $@
 
 debian/control:: debian/control.in debian/build-deps debian/mk.control debian/rules
-	# need type-handling or will generate bogus control file
-	which type-handling >/dev/null || exit 1
-	perl debian/mk.control | \
-		sed 's/@GST_VERSION@/$(gst_version)/g' | \
-		sed 's/@GST_ABI@/$(gst_abi)/g' | \
-		sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
-		sed 's/@GST_LIB@/$(gst_lib)/g' | \
-		sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' | \
-		sed 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' | \
-		sed "s/@GST_EXTRA_BUILD_DEPENDS@/$(gst_extra_build_depends)/g" | \
-		sed '/^Build-Depends\(-Indep\)\?/s/\ *,\ */,\n               /g' | \
-		sed "s/@linux@/`type-handling any linux-gnu`/g" > $@
-
-	for plugin in $(EXTRA_PLUGINS) ; do \
-		sh debian/extra control $$plugin | \
-			sed 's/@GST_ABI@/$(gst_abi)/g' | \
-			sed 's/@GST_PKGNAME@/$(gst_pkgname)/g' | \
-			sed 's/@GST_LIB@/$(gst_lib)/g' | \
-			sed 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' | \
-			sed 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' | \
-			sed 's/@GST_PLUGINS_LIB@/$(gst_plugins_lib)/g' | \
-			sed 's/@GST_PLUGINS_LIB_DEV@/$(gst_plugins_lib_dev)/g' | \
-			sed 's/@GST_PLUGINS_LIB_DEV_DEP@/$(gst_plugins_lib_dev_dep)/g' | \
-			sed 's/@GST_GCONF_LIB@/$(gst_gconf_lib)/g' | \
-			sed 's/@GST_GCONF_LIB_DEV@/$(gst_gconf_lib_dev)/g' | \
-			sed 's/@GST_GCONF_LIB_DEV_DEP@/$(gst_gconf_lib_dev_dep)/g' >> $@; \
+	perl debian/mk.control | sed \
+		-e 's/@GST_VERSION@/$(gst_version)/g' \
+		-e 's/@GST_ABI@/$(gst_abi)/g' \
+		-e 's/@GST_PKGNAME@/$(gst_pkgname)/g' \
+		-e 's/@GST_LIB@/$(gst_lib)/g' \
+		-e 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
+		-e 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' \
+		-e 's/@GST_EXTRA_BUILD_DEPENDS@/$(gst_extra_build_depends)/g' \
+		-e '/^Build-Depends\(-Indep\)\?/s/\ *,\ */,\n               /g' \
+		>$@
+
+	for plugin in $(EXTRA_PLUGINS); do \
+		sh debian/extra control $$plugin | sed \
+			-e 's/@GST_ABI@/$(gst_abi)/g' \
+			-e 's/@GST_PKGNAME@/$(gst_pkgname)/g' \
+			-e 's/@GST_LIB@/$(gst_lib)/g' \
+			-e 's/@GST_LIB_DEV@/$(gst_lib_dev)/g' \
+			-e 's/@GST_LIB_DEV_DEP@/$(gst_lib_dev_dep)/g' \
+			-e 's/@GST_PLUGINS_LIB@/$(gst_plugins_lib)/g' \
+			-e 's/@GST_PLUGINS_LIB_DEV@/$(gst_plugins_lib_dev)/g' \
+			-e 's/@GST_PLUGINS_LIB_DEV_DEP@/$(gst_plugins_lib_dev_dep)/g' \
+			-e 's/@GST_GCONF_LIB@/$(gst_gconf_lib)/g' \
+			-e 's/@GST_GCONF_LIB_DEV@/$(gst_gconf_lib_dev)/g' \
+			-e 's/@GST_GCONF_LIB_DEV_DEP@/$(gst_gconf_lib_dev_dep)/g' \
+			>> $@; \
 	done
