=== debian/control ===
--- 
+++ 
@@ -4,19 +4,21 @@
 Maintainer: Maintainers of GStreamer packages <pkg-gstreamer-maintainers@lists.alioth.debian.org>
 Uploaders: Sebastian Dröge <slomo@debian.org>,
            Sjoerd Simons <sjoerd@debian.org>
-Build-Depends: autopoint,
+Build-Depends: autoconf (>= 2.60),
+               automake (>= 1.10),
+               autopoint (>= 0.17),
                autotools-dev,
-               cdbs (>= 0.4.32),
-               debhelper (>= 7),
+               cdbs (>= 0.4.93),
+               debhelper (>= 8.1.3),
                dh-autoreconf,
                dpkg-dev (>= 1.15.1),
                flite-dev,
                libasound2-dev (>= 0.9.1) [linux-any],
                libcdaudio-dev [linux-any],
                libdc1394-22-dev (>= 2.0.0) [linux-any],
-               libgstreamer0.10-dev (>= 0.10.33),
+               libgstreamer0.10-dev (>= 0.10.35.2),
                gstreamer0.10-doc,
-               gstreamer0.10-plugins-base (>= 0.10.33),
+               gstreamer0.10-plugins-base (>= 0.10.35.2),
                gstreamer0.10-plugins-base-doc,
                gstreamer-tools (>= 0.10.30),
                gtk-doc-tools,
@@ -24,6 +26,7 @@
                libass-dev (>= 0.9.4),
                libbz2-dev,
                libcairo2-dev,
+               libcdaudio-dev,
                libcelt-dev (>= 0.5.0),
                libcurl4-gnutls-dev (>= 7.21.0),
                libdca-dev,
@@ -33,10 +36,10 @@
                libexempi-dev,
                libexif-dev (>= 0.6.16),
                libfaad-dev,
-               libglib2.0-dev (>= 2.25),
+               libglib2.0-dev (>= 2.24),
                libgme-dev,
                libgsm1-dev,
-               libgstreamer-plugins-base0.10-dev (>= 0.10.33),
+               libgstreamer-plugins-base0.10-dev (>= 0.10.35.2),
                libgtk2.0-dev (>= 2.14.0),
                libiptcdata0-dev (>= 1.0.2),
                libjasper-dev,
@@ -47,6 +50,7 @@
                libmpcdec-dev,
                libmusicbrainz4-dev (>= 2.1.0),
                libofa0-dev (>= 0.9.3),
+               libopenal-dev,
                libopenspc-dev [i386],
                liborc-0.4-dev (>= 1:0.4.11),
                libpng12-dev,
@@ -57,12 +61,17 @@
                libslv2-dev (>= 0.6.6),
                libsndfile1-dev (>= 1.0.16),
                libsoundtouch-dev (>= 1.5.0),
+               libspandsp-dev,
                libssl-dev,
+               libtool (>= 2.0),
+               libvo-aacenc-dev,
+               libvo-amrwbenc-dev,
                libvpx-dev,
                libwildmidi-dev (>= 0.2.3),
                libx11-dev,
                libxvidcore-dev,
                libzbar-dev (>= 0.9),
+               libzvbi-dev,
                lv2core,
                pkg-config (>= 0.11.0)
 Standards-Version: 3.8.4
@@ -94,6 +103,8 @@
  
 Package: gstreamer0.10-plugins-bad
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${misc:Depends},
          ${shlibs:Depends},
          gstreamer0.10-plugins-base	 
@@ -110,6 +121,7 @@
            gstreamer0.10-plugins-farsight,
            gstreamer0.10-schroedinger,
            gstreamer0.10-xvid
+Suggests: frei0r-plugins
 XB-GStreamer-Version: ${gstreamer:Version}
 XB-GStreamer-Elements: ${gstreamer:Elements}
 XB-GStreamer-URI-Sources: ${gstreamer:URISources}
@@ -131,6 +143,7 @@
 
 Package: gstreamer0.10-sdl
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -155,6 +168,7 @@
 
 Package: gstreamer0.10-plugins-bad-dbg
 Architecture: any
+Multi-Arch: same
 Section: debug
 Priority: extra
 Depends: gstreamer0.10-plugins-bad (= ${binary:Version}),
