=== debian/rules ===
--- 
+++ 
@@ -46,7 +46,7 @@
 gst_lib=libgstreamer$(gst_abi)-0
 gst_lib_dev=libgstreamer$(gst_abi)-dev
 # what gstreamer version is needed
-gst_lib_dev_dep=$(gst_lib_dev) (>= 0.10.33)
+gst_lib_dev_dep=$(gst_lib_dev) (>= 0.10.35.2)
 
 gst_pkgname=gstreamer$(gst_abi)
 gst_deb_abi=$(gst_abi)-0
@@ -75,24 +75,24 @@
 
 # enable the real and spc plugin on x86
 ifeq ($(DEB_HOST_ARCH_CPU), i386)
-real = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstreal.so
+real = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstreal.so
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-spc = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstspc.so
+spc = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstspc.so
 endif
 endif
 
 ifeq ($(DEB_HOST_ARCH_OS),linux)
-dvb = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstdvb.so
-fbdev = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstfbdevsink.so
-vcd = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstvcdsrc.so
-cdaudio = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstcdaudio.so
-dc1394 = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstdc1394.so
-decklink = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstdecklink.so
-linsys = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libgstlinsys.so
+dvb = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdvb.so
+fbdev = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstfbdevsink.so
+vcd = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstvcdsrc.so
+cdaudio = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstcdaudio.so
+dc1394 = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdc1394.so
+decklink = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstdecklink.so
+linsys = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libgstlinsys.so
 endif
 
 ifneq ($(DEB_HOST_ARCH_OS),hurd)
-resindvd = debian/tmp/usr/lib/gstreamer-$(gst_abi)/libresindvd.so
+resindvd = debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/gstreamer-$(gst_abi)/libresindvd.so
 endif
 
 # Let's decide the package name and url depending on the distribution
@@ -176,6 +176,7 @@
 
 
 DEB_CONFIGURE_EXTRA_FLAGS += \
+	--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 	--disable-examples \
 	--enable-DEBUG \
 	--enable-debug \
@@ -189,7 +190,7 @@
 endif
 
 common-binary-fixup-arch::
-	LD_LIBRARY_PATH=debian/gstreamer0.10-plugins-bad/usr/lib:$(LD_LIBRARY_PATH) \
+	LD_LIBRARY_PATH=debian/gstreamer0.10-plugins-bad/usr/lib/$(DEB_HOST_MULTIARCH):$(LD_LIBRARY_PATH) \
 		dh_gstscancodecs
 
 clean::
